Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_uri_get_digest

## Name

librdf_uri_get_digest -- Get a digest for the URI

## Synopsis

``librdf_digest* `librdf_uri_get_digest`` (librdf_uri* `uri`);`

## Arguments

`uri`

  librdf_uri object

## Description

Generates a digest object for the URI. The digest factory used is determined at class initialisation time by `librdf_init_uri`.

## Return value

new librdf_digest object or NULL on failure.

<<< Previous | Home | Next >>>
librdf_uri_as_counted_string | Up | librdf_uri_print